{% extends '@ChillEvent/layout.html.twig' %}

{% block title 'Events'|trans %}

{% block js %}
    {{ parent() }}
    {{ encore_entry_script_tags('mod_pickentity_type') }}
{% endblock %}

{% block css %}
    {{ parent() }}
    {{ encore_entry_link_tags('mod_pickentity_type') }}
{% endblock %}

{% block content %}
    <h1>{{ block('title') }}</h1>

    {{ filter|chill_render_filter_order_helper }}

{# {% if is_granted('CHILL_EVENT_CREATE') %} #}
        <ul class="record_actions">
            <li><a class="btn btn-create" href="{{ chill_path_add_return_path('chill_event__event_new_pickcenter') }}">{{ 'Add an event'|trans }}</a></li>
        </ul>
   {#  {% endif %} #}
    {% if events|length > 0 %}
        <div class="flex-table">
            {% for e in events %}
                <div class="item-bloc">
                    <div class="item-row">
                        <div class="item-col">
                            <div class="denomination h2">
                                {{ e.name }}
                            </div>
                            <p>{{ e.type.name|localize_translatable_string }}</p>
                            {% if e.moderator is not null %}
                                <p>{{ 'Moderator'|trans }}: {{ e.moderator|chill_entity_render_box }}</p>
                            {% endif %}
                        </div>
                        <div class="item-col">
                            <div class="container" style="text-align: right;">
                                <p>{{ e.date|format_datetime('medium', 'medium') }}</p>
                                <p>{{ 'count participations to this event'|trans({'count': e.participations|length}) }}</p>
                            </div>
                        </div>
                    </div>
                    {% if e.participations|length > 0 %}
                        <div class="item-row separator">
                            <strong>{{ 'Participations'|trans }}&nbsp;: </strong>
                            {% for part in e.participations|slice(0, 20) %}
                                {% include '@ChillMain/OnTheFly/_insert_vue_onthefly.html.twig' with {
                                    targetEntity: { name: 'person', id: part.person.id },
                                    action: 'show',
                                    displayBadge: true,
                                    buttonText: part.person|chill_entity_render_string,
                                    isDead: part.person.deathdate is not null
                                } %}
                            {% endfor %}
                            {% if e.participations|length > 20 %}
                                {{ 'events.and_other_count_participants'|trans({'count': e.participations|length - 20}) }}
                            {% endif %}
                        </div>
                    {% endif %}
                    <div class="item-row">
                        <div class="item-col">
                            {{ form_start(eventForms[e.id]) }}
                            {{ form_widget(eventForms[e.id].person_id) }}
                            {{ form_end(eventForms[e.id]) }}
                        </div>
                    </div>
                    <div class="item-row separator">
                        <div class="item-col item-meta">
                        </div>
                        <div class="item-col">
                            <ul class="record_actions">
                                {% if is_granted('CHILL_EVENT_UPDATE', e) %}
                                    <li><a href="{{ chill_path_add_return_path('chill_event__event_delete', {'event_id': e.id}) }}" class="btn btn-delete"></a></li>
                                {% endif %}
                                {% if is_granted('CHILL_EVENT_UPDATE', e) %}
                                    <li><a href="{{ chill_path_add_return_path('chill_event__event_edit', {'event_id': e.id}) }}" class="btn btn-edit"></a></li>
                                {% endif %}
                                <li><a href="{{ chill_path_add_return_path('chill_event__event_show', {'event_id': e.id}) }}" class="btn btn-show"></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
    {% endif %}

    {{ chill_pagination(pagination) }}

{% endblock %}
